I2O_CNTXT_LIST_ADD(9)

NAME
i2o_cntxt_list_add - Append a pointer to context list and return a id

SYNOPSIS

u32 i2o_cntxt_list_add(struct i2o_controller * c, void * ptr);

ARGUMENTS

c
    controller to which the context list belong

ptr
    pointer to add to the context list

DESCRIPTION

Because the context field in I2O is only 32-bit large, on 64-bit the pointer is to large to fit in the context field. The i2o_cntxt_list functions therefore map pointers to context fields.

Returns context id > 0 on success or 0 on failure.

COPYRIGHT